/* $XConsortium: LImage.h,v 1.2 88/10/25 17:22:09 swick Exp $ */
/* Copyright	Massachusetts Institute of Technology	1987, 1988 */

#ifndef _LImage_h
#define _LImage_h

/****************************************************************
 *
 * LImage widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0
 padding	     Width		Dimension	2
 foreground	     Color		Pixel		XtDefaultForeground
 font		     Font		XFontStruct*	XtDefaultFont
 image		     Pixmap		Pixmap		Default Image
 label		     Label		String		NULL
 select		     Select		Boolean		False	     
 clickThres	     Width		Cardinal	50
*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

#define XtNselect			"select"
#define XtNimage			"image"
#define XtNpadding			"padding"
#define XtNclickThres			"clickThres"

#define XtCselect			"select"

/* declare specific LimageWidget class and instance datatypes */

typedef struct _LImageClassRec*		LImageWidgetClass;
typedef struct _LImageRec*		LImageWidget;

/* declare the class constant */

extern WidgetClass lImageWidgetClass;

#endif  /* _Limage_h */
